// Fragment Shader – file "minimal.frag"

#version 130

precision highp float; // needed only for version 1.30

uniform sampler2D un_texture;

in	vec2 ex_texCoord;
//in	float ex_lightInt;
in	vec3 ex_Intensity;
out vec4 out_Color;

void main(void)
{
	vec4 tmp_color = texture2D(un_texture, ex_texCoord) * vec4(ex_Intensity, 1.0);
	out_Color = tmp_color;
	
	if (out_Color.a <= 0.001) discard;
	
}